# Created by pyp2rpm-1.1.0b
%global pypi_name retrying

%if 0%{?fedora} || 0%{?rhel} >= 8
%bcond_without python3
%else
%bcond_with python3
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           python-%{pypi_name}
Version:        1.3.3
Release:        1.0.1%{?dist}
Summary:        General-purpose retrying library in Python.

License:        ASL 2.0
URL:            https://github.com/rholder/retrying
Source0:        https://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

# patches from https://github.com/redhat-openstack/retrying

#
# patches_base=v1.2.3
#

BuildArch:      noarch

%description
Retrying is an Apache 2.0 licensed general-purpose retrying library,
written in Python, to simplify the task of adding retry behavior to
just about anything.

%package -n python2-%{pypi_name}
Summary:        General-purpose retrying library in Python.
BuildRequires:  python2-devel
Requires:       python2-six

%description -n python2-%{pypi_name}  
Retrying is an Apache 2.0 licensed general-purpose retrying library,
written in Python, to simplify the task of adding retry behavior to
just about anything.


%if %{with python3}
%package -n python3-%{pypi_name}
Summary: %{summary}
BuildRequires:  python3-devel
Requires:       python3-six

%description -n python3-%{pypi_name}
Retrying is an Apache 2.0 licensed general-purpose retrying library,
written in Python, to simplify the task of adding retry behavior to
just about anything.

%endif # with python3


%prep
%setup -q -n %{pypi_name}-%{version}


# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{__python2} setup.py build
%if %{with python3}
%{__python3} setup.py build
%endif # with python3


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
%if %{with python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif # with python3

%files -n python2-%{pypi_name}
%doc README.rst LICENSE
%{python2_sitelib}/%{pypi_name}.py*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%if %{with python3}
%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/*
#%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with python3


%changelog
* Wed Jul 03 2019 Qing Lin <qing.lin@oracle.com> - 1.3.3-1.0.1
- Support build for python3 on OL8

* Thu Sep 21 2017 Keshav Sharma <keshav.sharma@oracle.com> - 1.3.3-1
- Updated to version 1.3.3

* Sat Sep 06 2014 Alan Pevec <apevec@redhat.com> - 1.2.3-3
- unbundle python-six (from hguemar)

* Mon Aug 25 2014 Alan Pevec <apevec@redhat.com> - 1.2.3-1
- Initial package.
